--
-- Selected TOC Entries:
--
\connect - postgres

--
-- TOC Entry ID 29 (OID 33224)
--
-- Name: "plpgsql_call_handler" () Type: FUNCTION Owner: postgres
--

CREATE FUNCTION "plpgsql_call_handler" () RETURNS opaque AS '$libdir/plpgsql', 'plpgsql_call_handler' LANGUAGE 'C';

--
-- TOC Entry ID 30 (OID 33225)
--
-- Name: plpgsql Type: PROCEDURAL LANGUAGE Owner: 
--

CREATE TRUSTED PROCEDURAL LANGUAGE 'plpgsql' HANDLER "plpgsql_call_handler" LANCOMPILER '';

--
-- TOC Entry ID 2 (OID 33241)
--
-- Name: notes_index_seq Type: SEQUENCE Owner: postgres
--

CREATE SEQUENCE "notes_index_seq" start 1 increment 1 maxvalue 9223372036854775807 minvalue 1 cache 1;

--
-- TOC Entry ID 4 (OID 33241)
--
-- Name: notes_index_seq Type: ACL Owner: 
--

REVOKE ALL on "notes_index_seq" from PUBLIC;
GRANT ALL on "notes_index_seq" to "postgres";
GRANT INSERT,SELECT,UPDATE,DELETE on "notes_index_seq" to "jstock";

--
-- TOC Entry ID 17 (OID 33243)
--
-- Name: notes Type: TABLE Owner: postgres
--

CREATE TABLE "notes" (
	"index" integer DEFAULT nextval('"notes_index_seq"'::text) NOT NULL,
	"tickerid" integer,
	"note" text,
	Constraint "notes_pkey" Primary Key ("index")
);

--
-- TOC Entry ID 18 (OID 33243)
--
-- Name: notes Type: ACL Owner: 
--

REVOKE ALL on "notes" from PUBLIC;
GRANT ALL on "notes" to "postgres";
GRANT INSERT,SELECT,UPDATE on "notes" to "jstock";

--
-- TOC Entry ID 5 (OID 33249)
--
-- Name: tickers_index_seq Type: SEQUENCE Owner: postgres
--

CREATE SEQUENCE "tickers_index_seq" start 1 increment 1 maxvalue 9223372036854775807 minvalue 1 cache 1;

--
-- TOC Entry ID 7 (OID 33249)
--
-- Name: tickers_index_seq Type: ACL Owner: 
--

REVOKE ALL on "tickers_index_seq" from PUBLIC;
GRANT ALL on "tickers_index_seq" to "postgres";
GRANT INSERT,SELECT,UPDATE,DELETE on "tickers_index_seq" to "jstock";

--
-- TOC Entry ID 19 (OID 33251)
--
-- Name: tickers Type: TABLE Owner: postgres
--

CREATE TABLE "tickers" (
	"index" integer DEFAULT nextval('"tickers_index_seq"'::text) NOT NULL,
	"exchangeid" integer NOT NULL,
	"ticker" character varying(15) NOT NULL,
	Constraint "tickers_pkey" Primary Key ("index")
);

--
-- TOC Entry ID 20 (OID 33251)
--
-- Name: tickers Type: ACL Owner: 
--

REVOKE ALL on "tickers" from PUBLIC;
GRANT ALL on "tickers" to "postgres";
GRANT INSERT,SELECT,UPDATE on "tickers" to "jstock";

--
-- TOC Entry ID 8 (OID 33263)
--
-- Name: exchange_index_seq Type: SEQUENCE Owner: postgres
--

CREATE SEQUENCE "exchange_index_seq" start 1 increment 1 maxvalue 9223372036854775807 minvalue 1 cache 1;

--
-- TOC Entry ID 10 (OID 33263)
--
-- Name: exchange_index_seq Type: ACL Owner: 
--

REVOKE ALL on "exchange_index_seq" from PUBLIC;
GRANT ALL on "exchange_index_seq" to "postgres";
GRANT INSERT,SELECT,UPDATE,DELETE on "exchange_index_seq" to "jstock";

--
-- TOC Entry ID 21 (OID 33265)
--
-- Name: exchange Type: TABLE Owner: postgres
--

CREATE TABLE "exchange" (
	"index" integer DEFAULT nextval('"exchange_index_seq"'::text) NOT NULL,
	"exchangename" character varying(20) NOT NULL,
	Constraint "exchange_pkey" Primary Key ("index")
);

--
-- TOC Entry ID 22 (OID 33265)
--
-- Name: exchange Type: ACL Owner: 
--

REVOKE ALL on "exchange" from PUBLIC;
GRANT ALL on "exchange" to "postgres";
GRANT INSERT,SELECT,UPDATE,DELETE on "exchange" to "jstock";

--
-- TOC Entry ID 11 (OID 33269)
--
-- Name: events_index_seq Type: SEQUENCE Owner: postgres
--

CREATE SEQUENCE "events_index_seq" start 1 increment 1 maxvalue 9223372036854775807 minvalue 1 cache 1;

--
-- TOC Entry ID 13 (OID 33269)
--
-- Name: events_index_seq Type: ACL Owner: 
--

REVOKE ALL on "events_index_seq" from PUBLIC;
GRANT ALL on "events_index_seq" to "postgres";
GRANT INSERT,SELECT,UPDATE,DELETE on "events_index_seq" to "jstock";

--
-- TOC Entry ID 23 (OID 33271)
--
-- Name: events Type: TABLE Owner: postgres
--

CREATE TABLE "events" (
	"index" integer DEFAULT nextval('"events_index_seq"'::text) NOT NULL,
	"eventshort" character varying(5),
	"event" character varying(20),
	Constraint "events_pkey" Primary Key ("index")
);

--
-- TOC Entry ID 24 (OID 33271)
--
-- Name: events Type: ACL Owner: 
--

REVOKE ALL on "events" from PUBLIC;
GRANT ALL on "events" to "postgres";
GRANT INSERT,SELECT,UPDATE,DELETE on "events" to "jstock";

--
-- TOC Entry ID 25 (OID 33308)
--
-- Name: watchlist Type: TABLE Owner: postgres
--

CREATE TABLE "watchlist" (
	"tickerid" integer NOT NULL,
	Constraint "watchlist_pkey" Primary Key ("tickerid")
);

--
-- TOC Entry ID 26 (OID 33308)
--
-- Name: watchlist Type: ACL Owner: 
--

REVOKE ALL on "watchlist" from PUBLIC;
GRANT ALL on "watchlist" to "postgres";
GRANT INSERT,SELECT,UPDATE,DELETE,REFERENCES on "watchlist" to "jstock";

--
-- TOC Entry ID 14 (OID 41506)
--
-- Name: lines_index_seq Type: SEQUENCE Owner: postgres
--

CREATE SEQUENCE "lines_index_seq" start 1 increment 1 maxvalue 9223372036854775807 minvalue 1 cache 1;

--
-- TOC Entry ID 16 (OID 41506)
--
-- Name: lines_index_seq Type: ACL Owner: 
--

REVOKE ALL on "lines_index_seq" from PUBLIC;
GRANT ALL on "lines_index_seq" to "postgres";
GRANT INSERT,SELECT,UPDATE,DELETE on "lines_index_seq" to "jstock";

--
-- TOC Entry ID 27 (OID 41508)
--
-- Name: lines Type: TABLE Owner: postgres
--

CREATE TABLE "lines" (
	"index" integer DEFAULT nextval('"lines_index_seq"'::text) NOT NULL,
	"tickerid" integer,
	"type" integer,
	"datex1" character(8),
	"valuey1" double precision,
	"datex2" character(8),
	"valuey2" double precision,
	Constraint "lines_pkey" Primary Key ("index")
);

--
-- TOC Entry ID 28 (OID 41508)
--
-- Name: lines Type: ACL Owner: 
--

REVOKE ALL on "lines" from PUBLIC;
GRANT ALL on "lines" to "postgres";
GRANT INSERT,SELECT,RULE,UPDATE,DELETE on "lines" to "jstock";

--
-- Data for TOC Entry ID 31 (OID 33243)
--
-- Name: notes Type: TABLE DATA Owner: postgres
--


COPY "notes" FROM stdin;
9	2	Wed Oct 22 23:11:23 CEST 2003\n null
2	6	\N
3	8	\N
14	20	\N
15	3	\N
6	21	\N
10	4	27-Oct-2003\nTel
1	5	Sun Oct 26 21:19:35 CET 2003\n Her kan jeg skrive tekst
5	1	27-Oct-2003\nNoe motstand på 4.90 til 5, deretter ca. 5.70\n
8	19	23-Nov-2003\nDette ser bra ut, bra volum bryter ut av \ntriangelet på oversiden, skal muligens ned mot\n5.5-5.6 for å bekrefte brudd 
\.
--
-- Data for TOC Entry ID 32 (OID 33251)
--
-- Name: tickers Type: TABLE DATA Owner: postgres
--


COPY "tickers" FROM stdin;
16	5	cru
20	1	stl
14	2	pgo
21	1	tgs
19	1	ken
22	1	fast
1	1	cru
2	1	nsg
3	1	tat
4	1	tel
5	1	taa
6	1	ahm
7	1	asd
8	1	gno
11	1	tad
\.
--
-- Data for TOC Entry ID 33 (OID 33265)
--
-- Name: exchange Type: TABLE DATA Owner: postgres
--


COPY "exchange" FROM stdin;
1	ose
2	nyse
5	to
\.
--
-- Data for TOC Entry ID 34 (OID 33271)
--
-- Name: events Type: TABLE DATA Owner: postgres
--


COPY "events" FROM stdin;
\.
--
-- Data for TOC Entry ID 35 (OID 33308)
--
-- Name: watchlist Type: TABLE DATA Owner: postgres
--


COPY "watchlist" FROM stdin;
1
19
4
\.
--
-- Data for TOC Entry ID 36 (OID 41508)
--
-- Name: lines Type: TABLE DATA Owner: postgres
--


COPY "lines" FROM stdin;
7	19	0	20030119	6.40827360354103	20031028	5.50967822548949
3	4	0	20030525	35.5505194675526	20030406	32.5360057862703
4	3	0	20030304	7.27234304179909	20031101	23.4968541198634
5	11	0	20030111	4.33416767032277	20031025	10.3363577786662
6	20	0	20030217	53.3918848797616	20031101	65.5309071977703
\.
--
-- TOC Entry ID 3 (OID 33241)
--
-- Name: notes_index_seq Type: SEQUENCE SET Owner: postgres
--

SELECT setval ('"notes_index_seq"', 17, true);

--
-- TOC Entry ID 6 (OID 33249)
--
-- Name: tickers_index_seq Type: SEQUENCE SET Owner: postgres
--

SELECT setval ('"tickers_index_seq"', 22, true);

--
-- TOC Entry ID 9 (OID 33263)
--
-- Name: exchange_index_seq Type: SEQUENCE SET Owner: postgres
--

SELECT setval ('"exchange_index_seq"', 13, true);

--
-- TOC Entry ID 12 (OID 33269)
--
-- Name: events_index_seq Type: SEQUENCE SET Owner: postgres
--

SELECT setval ('"events_index_seq"', 1, false);

--
-- TOC Entry ID 15 (OID 41506)
--
-- Name: lines_index_seq Type: SEQUENCE SET Owner: postgres
--

SELECT setval ('"lines_index_seq"', 9, true);

